Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class AbstractStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy

All Implemented Interfaces:
  Serializable, Strategy

Direct Known Subclasses:
  AbstractClassStrategy, AbstractDiscriminatorStrategy, AbstractFieldStrategy, AbstractVersionStrategy

    public abstract class AbstractStrategy

extends Object
implements Strategy

No-op strategy for easy extension.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`AbstractStrategy()`

Method Summary
`void` | `customDelete(OpenJPAStateManager sm, JDBCStore store)` Override this method to customize flushing this mapping.
`void` | `customInsert(OpenJPAStateManager sm, JDBCStore store)` Override this method to customize flushing this mapping.
`void` | `customUpdate(OpenJPAStateManager sm, JDBCStore store)` Override this method to customize flushing this mapping.
`void` | `delete(OpenJPAStateManager sm, JDBCStore store, RowManager rm)` Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates.
`String` | `getAlias()` Return the alias of this strategy.
`void` | `initialize()` Perform caching and other initialization operations.
`void` | `insert(OpenJPAStateManager sm, JDBCStore store, RowManager rm)` Set values for the mapping into the proper rows.
`Boolean` | `isCustomDelete(OpenJPAStateManager sm, JDBCStore store)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`Boolean` | `isCustomInsert(OpenJPAStateManager sm, JDBCStore store)` Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called.
`Boolean` | `isCustomUpdate(OpenJPAStateManager sm, JDBCStore store)` Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called.
`void` | `map(boolean adapt)` Map the owning mapping using this strategy.
`void` | `update(OpenJPAStateManager sm, JDBCStore store, RowManager rm)` Set values for the mapping into the proper rows.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStrategy

    public AbstractStrategy()

Method Detail

### getAlias

    public String getAlias()

  Description copied from interface: `Strategy`
  Return the alias of this strategy. For custom strategies, return the full class name.

  Specified by:
    `getAlias` in interface `Strategy`

### map

    public void map(boolean adapt)

  Description copied from interface: `Strategy`
  Map the owning mapping using this strategy.

  Specified by:
    `map` in interface `Strategy`
  Parameters:
    `adapt` - if true, use the owning mapping's raw mapping info to set its ORM data; if false, ORM data will already be set

### initialize

    public void initialize()

  Description copied from interface: `Strategy`
  Perform caching and other initialization operations. This method is called after `Strategy.map(boolean)`, and after all related components have been mapped as well.

  Specified by:
    `initialize` in interface `Strategy`

### insert

    public void insert(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Strategy`
  Set values for the mapping into the proper rows. For class mappings, this method will be called only after the corresponding method has been called for all fields of this mapping.

  Specified by:
    `insert` in interface `Strategy`
  Throws:
    `SQLException`

### update

    public void update(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Strategy`
  Set values for the mapping into the proper rows.

  Specified by:
    `update` in interface `Strategy`
  Throws:
    `SQLException`
  See Also:
    `Strategy.insert(org.apache.openjpa.kernel.OpenJPAStateManager, org.apache.openjpa.jdbc.kernel.JDBCStore, org.apache.openjpa.jdbc.sql.RowManager)`

### delete

    public void delete(OpenJPAStateManager sm,
                       JDBCStore store,
                       RowManager rm)
                throws SQLException

  Description copied from interface: `Strategy`
  Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates. This allows foreign key analysis.

  Specified by:
    `delete` in interface `Strategy`
  Throws:
    `SQLException`
  See Also:
    `Strategy.insert(org.apache.openjpa.kernel.OpenJPAStateManager, org.apache.openjpa.jdbc.kernel.JDBCStore, org.apache.openjpa.jdbc.sql.RowManager)`

### isCustomInsert

    public Boolean isCustomInsert(OpenJPAStateManager sm,
                                  JDBCStore store)

  Description copied from interface: `Strategy`
  Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called. Implement the `Strategy.customInsert(org.apache.openjpa.kernel.OpenJPAStateManager, org.apache.openjpa.jdbc.kernel.JDBCStore)` method to implement the custom insertion behavior.

  Specified by:
    `isCustomInsert` in interface `Strategy`

### isCustomUpdate

    public Boolean isCustomUpdate(OpenJPAStateManager sm,
                                  JDBCStore store)

  Description copied from interface: `Strategy`
  Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called. Implement the `Strategy.customUpdate(org.apache.openjpa.kernel.OpenJPAStateManager, org.apache.openjpa.jdbc.kernel.JDBCStore)` method to override the default update behavior.

  Specified by:
    `isCustomUpdate` in interface `Strategy`

### isCustomDelete

    public Boolean isCustomDelete(OpenJPAStateManager sm,
                                  JDBCStore store)

  Description copied from interface: `Strategy`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `Strategy.customDelete(org.apache.openjpa.kernel.OpenJPAStateManager, org.apache.openjpa.jdbc.kernel.JDBCStore)` method to override the default deletion behavior.

  Specified by:
    `isCustomDelete` in interface `Strategy`

### customInsert

    public void customInsert(OpenJPAStateManager sm,
                             JDBCStore store)
                      throws SQLException

  Description copied from interface: `Strategy`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method is called after the owning object is inserted, so if this field is in a row with other fields, that row will already exist.

  Specified by:
    `customInsert` in interface `Strategy`
  Throws:
    `SQLException`

### customUpdate

    public void customUpdate(OpenJPAStateManager sm,
                             JDBCStore store)
                      throws SQLException

  Description copied from interface: `Strategy`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields.

  Specified by:
    `customUpdate` in interface `Strategy`
  Throws:
    `SQLException`

### customDelete

    public void customDelete(OpenJPAStateManager sm,
                             JDBCStore store)
                      throws SQLException

  Description copied from interface: `Strategy`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method will be called after the owning object is deleted.

  Specified by:
    `customDelete` in interface `Strategy`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.